| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
uiGraphicsSceneChanger Class Reference
uiBase

`#include <uigraphicsscene.h>`

Inheritance diagram for uiGraphicsSceneChanger:
[legend]

## Public Member Functions
| uiGraphicsSceneChanger (uiGraphicsItemGroup &, uiGraphicsItem &, bool remove)
| uiGraphicsSceneChanger (uiGraphicsScene &, uiGraphicsItem &, bool remove)
| ~uiGraphicsSceneChanger ()
bool | execute () override
Public Member Functions inherited from Task
| Task (const Task &)=delete
virtual | ~Task ()
virtual void | controlWork (Control)
virtual void | enableWorkControl (bool=true)
| Must be called before execute()
virtual uiRetVal | errorWithDetails () const
virtual Control | getState () const
virtual od_int64 | nrDone () const
Task & | operator= (const Task &)=delete
virtual void | setProgressMeter (ProgressMeter *)
| Must be called before execute()
virtual od_int64 | totalNr () const
virtual uiString | uiMessage () const
virtual uiString | uiNrDoneText () const
bool | workControlEnabled () const
Public Member Functions inherited from NamedCallBacker
| NamedCallBacker (const char *nm=nullptr)
| NamedCallBacker (const NamedCallBacker &)=delete
| ~NamedCallBacker ()
virtual Notifier< NamedCallBacker > & | objectToBeDeleted () const
NamedCallBacker & | operator= (const NamedCallBacker &)=delete
bool | operator== (const NamedCallBacker &oth) const
bool | operator== (const NamedObject &oth) const
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()
Public Member Functions inherited from NamedObject
| NamedObject (const char *nm=nullptr)
| NamedObject (const NamedObject &oth)
virtual | ~NamedObject ()
virtual BufferString | getName () const
bool | getNameFromPar (const IOPar &)
const name_type & | name () const override
NamedObject & | operator= (const NamedObject &)
bool | operator== (const NamedObject &oth) const
virtual void | setName (const char *nm)
Public Member Functions inherited from ObjectWithName
virtual | ~ObjectWithName ()
bool | hasName (const char *nm) const
bool | hasName (const name_type &nm) const
void | putNameInPar (IOPar &) const

## Protected Attributes
uiGraphicsItemGroup * | group_
uiGraphicsItem & | itm_
bool | remove_
uiGraphicsScene * | scene_
Protected Attributes inherited from Task
Control | control_ = Task::Run
Threads::ConditionVar * | workcontrolcondvar_ = nullptr
Protected Attributes inherited from NamedCallBacker
Threads::Atomic< bool > | delalreadytriggered_
Notifier< NamedCallBacker > | delnotif_
Protected Attributes inherited from NamedObject
BufferString | name_

## Additional Inherited Members
Public Types inherited from Task
enum | Control { Run , Pause , Stop }
Public Types inherited from ObjectWithName
typedef OD::String | name_type
Static Public Member Functions inherited from Task
static uiString | uiStdNrDoneText ()
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()
Protected Member Functions inherited from Task
| Task (const char *nm=nullptr)
virtual bool | shouldContinue ()
Protected Member Functions inherited from NamedCallBacker
void | sendDelNotif () const

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ uiGraphicsSceneChanger() [1/2]

uiGraphicsSceneChanger::uiGraphicsSceneChanger | ( | uiGraphicsScene & | ,
|  | uiGraphicsItem & | ,
|  | bool | remove )

## ◆ uiGraphicsSceneChanger() [2/2]

uiGraphicsSceneChanger::uiGraphicsSceneChanger | ( | uiGraphicsItemGroup & | ,
|  | uiGraphicsItem & | ,
|  | bool | remove )

## ◆ ~uiGraphicsSceneChanger()

uiGraphicsSceneChanger::~uiGraphicsSceneChanger | ( |  | ) |

## Member Function Documentation

## ◆ execute()

bool uiGraphicsSceneChanger::execute | ( |  | ) |
| override virtual

Implements Task.

## Member Data Documentation

## ◆ group_

uiGraphicsItemGroup* uiGraphicsSceneChanger::group_
| protected

## ◆ itm_

uiGraphicsItem& uiGraphicsSceneChanger::itm_
| protected

## ◆ remove_

bool uiGraphicsSceneChanger::remove_
| protected

## ◆ scene_

uiGraphicsScene* uiGraphicsSceneChanger::scene_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025